java.beans.beancontext

## Interface BeanContextServicesListener

All Superinterfaces:
  BeanContextServiceRevokedListener, EventListener

All Known Subinterfaces:
  BeanContextServices

All Known Implementing Classes:
  BeanContextChildSupport, BeanContextServicesSupport, BeanContextSupport

    public interface BeanContextServicesListener
    extends BeanContextServiceRevokedListener

The listener interface for receiving `BeanContextServiceAvailableEvent` objects. A class that is interested in processing a `BeanContextServiceAvailableEvent` implements this interface.

### Method Summary

Methods
`void` `serviceAvailable(BeanContextServiceAvailableEvent bcsae)` The service named has been registered.

### Methods inherited from interface java.beans.beancontext.BeanContextServiceRevokedListener

`serviceRevoked`

### Method Detail

#### serviceAvailable

    void serviceAvailable(BeanContextServiceAvailableEvent bcsae)

The service named has been registered. getService requests for this service may now be made.

Parameters:
  `bcsae` - the `BeanContextServiceAvailableEvent`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.